%global octpkg image

Name:           octave-%{octpkg}
Version:        1.0.14
Release:        1%{?dist}
Summary:        Image processing for Octave
Group:          Applications/Engineering
License:        GPLv2+
URL:            http://octave.sourceforge.net/image/
Source0:        http://downloads.sourceforge.net/octave/%{octpkg}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  octave-devel  

Requires:       octave(api) = %{octave_api}
Requires(post): octave
Requires(postun): octave


Obsoletes:      octave-forge <= 20090607


%description
The Octave-forge Image package provides functions for processing images.
The package also provides functions for feature extraction, image
statistics, spatial and geometric transformations, morphological
operations, linear filtering, and much more.

%prep
%setup -q -n %{octpkg}-%{version}
chmod -x src/*.c

%build
%octave_pkg_build

%install
rm -rf %{buildroot}
%octave_pkg_install

%post
%octave_cmd pkg rebuild

%preun
%octave_pkg_preun

%postun
%octave_cmd pkg rebuild

%files
%defattr(-,root,root,-)
%{octpkglibdir}

%dir %{octpkgdir}
%doc %{octpkgdir}/doc-cache
%{octpkgdir}/*.m
%{octpkgdir}/packinfo


%changelog
* Tue Apr 12 2011 Orion Poplawski <orion@cora.nwra.com> 1.0.14-1
- Update to 1.0.14

* Fri Apr 8 2011 Orion Poplawski <orion@cora.nwra.com> 1.0.13-2
- Fix permissions on source file

* Tue Apr 05 2011 Orion Poplawski <orion@cora.nwra.com> 1.0.13-1
- initial package for Fedora
